Bugzilla will be upgraded to version 5.0 on December 2, 2018. The outage period for the upgrade will start at 0:00 UTC and have a duration of 12 hours
Bug 596108 - Do not allow user to register twice (or warn them)
Do not allow user to register twice (or warn them)
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: rhn-client-tools (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Milan Zázrivec
Martin Minar
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-26 06:29 EDT by Miroslav Suchý
Modified: 2016-07-03 20:55 EDT (History)
5 users (show)

See Also:
Fixed In Version: rhn-client-tools-1.0.0-46.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-19 09:04:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0565 normal SHIPPED_LIVE rhn-client-tools and yum-rhn-plugin bug fix and ehnancement update 2011-05-18 13:57:10 EDT

  None (edit)
Description Miroslav Suchý 2010-05-26 06:29:48 EDT
Description of problem:
In firstboot go to Set Up Software Updates. Register to RHN or RHN Satellite and when you hit screen "Review Subscription". Click on "Back" and then "Forward". Your machine is registered two times (and consume two entitlements). IMO on the screen "Review Subscription" you should either disable "back" button. Or provide some warning when user decide to go back and register again.


Version-Release number of selected component (if applicable):
firstboot-1.110.4-1.el6.x86_64
rhn-client-tools-1.0.0-13.el6.noarch

How reproducible:
Always

Steps to Reproduce:
1. got through firstboot till "Review Subscription"
2. hit Back
3. hit Forward 
and repeat steps 2 and 3 as many times you want
  
Actual results:
machine is registred multiple time, which user probably do not expect

Expected results:
button back is disable on screen "Review Subscription" or
when user hit this button on this screen some warning pop up

Additional info:
This does not happen if using plain rhn_register. Buttons Back and Forward are managed by firstboot.
Comment 2 RHEL Product and Program Management 2010-05-26 17:06:16 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 3 Jan Pazdziora 2010-06-01 04:07:58 EDT
The firstboot (RHN register part thereof) in RHEL 5 has the same problem. Therefore, this is not a regression against RHEL 5 and I propose moving it to RHEL 6.1.
Comment 7 Milan Zázrivec 2011-01-24 11:39:32 EST
The fix for the bug has two parts:
1. From 'Review Subscription' page, 'Back' button will skip to the 'Set
   Up Software Updates' page
2. 'Set Up Software Updates' page will render correctly depending on
   whether or not is the system registered.


spacewalk.git master: 9d68037cb12da93a660265e26b4d213d9e307ea2
satellite.git CLIENT-RHEL-6: 53c3cac22acddfb0f33fc505db5884b2e5273808
Comment 9 Martin Minar 2011-02-22 09:40:43 EST
Verified in rhn-client-tools-1.0.0-48.el6.noarch - works as described in comment 7.
Comment 10 errata-xmlrpc 2011-05-19 09:04:50 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0565.html

Note You need to log in before you can comment on or make changes to this bug.